Control.OldException

# The Exception type

data Exception
data IOException
data ArithException
data ArrayException
data AsyncException

# Throwing exceptions

throwIO
throw
ioError
throwTo

# Catching Exceptions

## The `catch` functions

catch
catchJust

## The `handle` functions

handle
handleJust

## The `try` functions

try
tryJust

## The `evaluate` function

evaluate

## The `mapException` function

mapException

## Exception predicates

ioErrors
arithExceptions
errorCalls
dynExceptions
assertions
asyncExceptions
userErrors

# Dynamic exceptions

throwDyn
throwDynTo
catchDyn

# Asynchronous Exceptions

## Asynchronous exception control

block
unblock

### Applying `block` to an exception handler

### Interruptible operations

# Assertions

assert

# Utilities

bracket
bracket_
bracketOnError
finally
setUncaughtExceptionHandler
getUncaughtExceptionHandler